\documentclass[convert = false]{standalone}

% Necessary includes.
\usepackage{tikz}
\usetikzlibrary{arrows}
\usetikzlibrary{calc}
\usetikzlibrary{shapes.geometric}
\usetikzlibrary{positioning}
\usetikzlibrary{decorations.markings}

\def\L{2cm}
\def\h{\L/5}

\definecolor{IECol}{RGB}{220, 220, 250}
\definecolor{IFCol}{RGB}{250, 0, 0}

\begin{document}
\begin{tikzpicture}

% Put color on interface elements.
\draw[fill=IECol] (-3*\h,-2*\h) rectangle (-2*\h,2*\h);
\draw[fill=IECol,rotate=90] (-3*\h,-2*\h) rectangle (-2*\h,2*\h);
\draw[fill=IECol,rotate=180] (-3*\h,-2*\h) rectangle (-2*\h,2*\h);
\draw[fill=IECol,rotate=270] (-3*\h,-2*\h) rectangle (-2*\h,2*\h);
\draw[fill=IECol] (1*\h,1*\h) rectangle (2*\h,2*\h);
\draw[fill=IECol,rotate=90] (1*\h,1*\h) rectangle (2*\h,2*\h);
\draw[fill=IECol,rotate=180] (1*\h,1*\h) rectangle (2*\h,2*\h);
\draw[fill=IECol,rotate=270] (1*\h,1*\h) rectangle (2*\h,2*\h);

% Draw a grid and remove the part of the grid not intersecting Omega.
\draw[step=\h,gray,very thin] (-\L+\h,-\L+\h) grid (\L-\h,\L-\h);
\draw[fill=white,color=white] (-2*\h,-\h) rectangle (2*\h,\h);
\draw[fill=white,rotate=90,color=white] (-2*\h,-\h) rectangle (2*\h,\h);
\draw[fill=white,color=white] (-\h,-\h) rectangle (\h,\h);

% Color the cut interfaces.
\draw[color=IFCol,thick] (-2*\h,-2*\h) -- (-3*\h,-2*\h)
  -- (-3*\h,2*\h) -- (-2*\h,2*\h) -- (-2*\h,3*\h)
  -- (2*\h,3*\h) -- (2*\h,2*\h) -- (3*\h,2*\h)
  -- (3*\h,-2*\h) -- (2*\h,-2*\h) -- (2*\h,-2*\h)
  -- (2*\h,-3*\h) -- (-2*\h,-3*\h) -- (-2*\h,-2*\h);
  
\draw[color=IFCol,thick] (\h,3*\h) -- (\h,2*\h) -- (2*\h,2*\h) -- (2*\h,\h) -- (3*\h,\h);
\draw[color=IFCol,thick,rotate=90] (\h,3*\h) -- (\h,2*\h) -- (2*\h,2*\h) -- (2*\h,\h) -- (3*\h,\h);
\draw[color=IFCol,thick,rotate=180] (\h,3*\h) -- (\h,2*\h) -- (2*\h,2*\h) -- (2*\h,\h) -- (3*\h,\h);
\draw[color=IFCol,thick,rotate=270] (\h,3*\h) -- (\h,2*\h) -- (2*\h,2*\h) -- (2*\h,\h) -- (3*\h,\h);

\draw[color=IFCol,thick] (0,2*\h) -- (0,3*\h);
\draw[color=IFCol,thick,rotate=90] (0,2*\h) -- (0,3*\h);
\draw[color=IFCol,thick,rotate=180] (0,2*\h) -- (0,3*\h);
\draw[color=IFCol,thick,rotate=270] (0,2*\h) -- (0,3*\h);

% Set Omega domain.
\draw[draw=black,thick] (-\L+\h,-\L+\h) rectangle (\L-\h,\L-\h);
\draw[thick] (0,0) circle (\L/2);

\end{tikzpicture}
\end{document}
